var editor = window.etdEditor || window.nextgenEditor;
editor.addHook('hookInit', () => {

  editor.addButtonGroup('etd-documents', {
    icon: '<svg id="Calque_1" data-name="Calque 1" xmlns="http://www.w3.org/2000/svg" width="32" height="32" viewBox="0 0 32 32"><defs><style>.cls-1{fill:#231f20;}</style></defs><title>logo</title><path class="cls-1" d="M6.23,11.73A10.7,10.7,0,0,1,12.8,5.82V2.52a13.89,13.89,0,0,0-10,9.21Z" transform="translate(0)"/><path class="cls-1" d="M19.2,5.82a10.7,10.7,0,0,1,6.57,5.91h3.42a13.89,13.89,0,0,0-10-9.21Z" transform="translate(0)"/><path class="cls-1" d="M12.8,26.18a10.66,10.66,0,0,1-7.25-8H2.31A13.88,13.88,0,0,0,12.8,29.48Z" transform="translate(0)"/><path class="cls-1" d="M26.45,18.13a10.66,10.66,0,0,1-7.25,8.05v3.3A13.88,13.88,0,0,0,29.69,18.13Z" transform="translate(0)"/><path class="cls-1" d="M16,5.33a10.87,10.87,0,0,1,3.2.49V0H12.8V5.82A10.87,10.87,0,0,1,16,5.33Z" transform="translate(0)"/><path class="cls-1" d="M16,26.67a10.87,10.87,0,0,1-3.2-.49V32h6.4V26.18A10.87,10.87,0,0,1,16,26.67Z" transform="translate(0)"/><path class="cls-1" d="M16.08,7.47A8.53,8.53,0,1,0,24.61,16,8.53,8.53,0,0,0,16.08,7.47Zm-2.61,8.7H9.94a1.44,1.44,0,0,0,1.36,1,1.37,1.37,0,0,0,1.08-.48l.73.35a2.39,2.39,0,0,1-.78.66,2.24,2.24,0,0,1-1,.25,2.11,2.11,0,0,1-1.57-.65,2.24,2.24,0,0,1-.65-1.6,2.22,2.22,0,0,1,2.22-2.22,2.22,2.22,0,0,1,2.23,2.22A2,2,0,0,1,13.47,16.17Zm7.2,1.76H18.3v-3.7H16.46v3.7h-.77v-3.7H13.85v-.77h6.82a2.69,2.69,0,0,1,1.71.68,2.08,2.08,0,0,1,.7,1.55,2,2,0,0,1-.7,1.55A2.53,2.53,0,0,1,20.67,17.93Z" transform="translate(0)"/><path class="cls-1" d="M20.67,14.25H19.13v2.89h1.54a1.64,1.64,0,0,0,1.08-.46,1.32,1.32,0,0,0,0-2A1.64,1.64,0,0,0,20.67,14.25Z" transform="translate(0)"/><path class="cls-1" d="M11.32,14.23A1.47,1.47,0,0,0,9.88,15.4h2.85a1.47,1.47,0,0,0-.5-.84A1.43,1.43,0,0,0,11.32,14.23Z" transform="translate(0)"/><path class="cls-1" d="M5.33,16a10.67,10.67,0,0,1,.9-4.27H0v6.4H5.55A10.69,10.69,0,0,1,5.33,16Z" transform="translate(0)"/><path class="cls-1" d="M25.77,11.74a10.53,10.53,0,0,1,.68,6.4H32v-6.4Z" transform="translate(0)"/></svg>',
    label: 'ETD Shortcodes',
  });
});
